package cn.iocoder.yudao.module.system.controller.admin.hr;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.controller.admin.hr.vo.type.SalaryTypeItemCreateReqVO;
import cn.iocoder.yudao.module.system.service.hr.SalaryTypeItemService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Tag(name = "管理后台 - 工资类型")
@RestController
@RequestMapping("/system/hr/salary-type-item")
public class SalaryTypeItemController {

    @Resource
    private SalaryTypeItemService salaryTypeItemService;

    @PostMapping("/create")
    @Operation(summary = "创建工资类型配置")
    @PreAuthorize("@ss.hasPermission('system:hr:salary-type-item:create')")
    public CommonResult<Long> createSalaryTypeItem(@Valid @RequestBody SalaryTypeItemCreateReqVO createReqVO) {
        return success(salaryTypeItemService.createSalaryTypeItem(createReqVO));
    }
}
