package cn.iocoder.yudao.module.system.service.hr;

import cn.iocoder.yudao.module.system.dal.dataobject.hr.SalaryTypeDO;

import java.util.List;

/**
 * 工资类型 Service 接口
 *
 * @author 符溶馨
 */
public interface SalaryTypeService {

    /**
     * 创建工资类型
     * @param name 类型名称
     * @return 类型编号
     */
    Long createSalaryType(String name);

    /**
     * 更新工资类型
     * @param id 类型编号
     * @param name 类型名称
     */
    void updateSalaryType(Long id, String name);

    /**
     * 更新工资类型状态
     * @param id 类型编号
     * @param status 状态
     */
    void updateSalaryTypeStatus(Long id, Integer status);

    /**
     * 获得工资类型
     * @param id 类型编号
     * @return 工资类型
     */
    SalaryTypeDO getSalaryType(Long id);

    /**
     * 获得工资类型列表
     * @return 工资类型列表
     */
    List<SalaryTypeDO> getSalaryTypeList();
}
